import Client = require('./client');
import RequestError = require('./request-error');
import Request = require('./request');
import Response = require('./response');
declare function get(url: string): Request;
declare function head(url: string): Request;
declare function post(url: string): Request;
declare function put(url: string): Request;
declare function patch(url: string): Request;
declare function del(url: string): Request;
declare const request: {
    get: typeof get;
    head: typeof head;
    post: typeof post;
    put: typeof put;
    patch: typeof patch;
    del: typeof del;
};
export { request, Client, RequestError, Request, Response, get, head, post, put, patch, del };
