/// <reference types="node" />
import https = require('https');
import Request = require('./request');
import Response = require('./response');
declare class RequestError extends Error {
    status: number;
    statusCode: number;
    request: Request;
    response: Response;
    constructor(msg: string, req: Request, params: https.RequestOptions, res?: Response);
}
export = RequestError;
